Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-102924

Prevent fetching a release greater then host version

    XMLWordPrintable

    Details

      Description

      The Jail Creation Wizard (docs at https://ixsystems.com/documentation/freenas/11.2-U5/jails.html#jail-wizard) allows you to pick from available versions of FreeBSD to use for the new jail. My system is running FreeNAS 11.2-U5. The wizard offered FreeBSD 11.2 and 11.3. The documentation says, "Choose the version of FreeBSD to install for this jail." I chose the newest, FreeBSD 11.3. When I attempted to start the Jail, it failed, with a message that having a newer BSD in a jail than on the host OS is not supported.

      This restriction is reasonable. But if it is present, then the Wizard should not offer such BSD versions, and the documentation should not the restriction.

      An alternative resolution would be to allow a jail to contain a newer BSD than the host system. I have no idea how difficult that is. Nor do I consider it important. I'm happy limiting FreeNAS 11.2 system to having BSD 11.2 in its jails.

      I'm not sure if "Middleware" is the appropriate category, sorry. Please correct it if necessary.

        Attachments

          Attachments

            JEditor

              Issue Links

                Activity

                  People

                  Assignee:
                  waqar Waqar Ahmed
                  Reporter:
                  JDLH Jim DeLaHunt
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  4 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved: